Bug 216483 - avc: denied { read } comm="vsftpd" name="utmp" scontext=system_u:system_r:ftpd_t:s0 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file
avc: denied { read } comm="vsftpd" name="utmp" scontext=system_u:system_r:...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 13:45 EST by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.4.6-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 16:08:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-11-20 13:45:05 EST
Description of problem:

Seeing this on our ftp server:

Nov 20 11:40:22 hawk kernel: audit(1164048022.659:9320): avc:  denied  { read }
for  pid=17629 comm="vsftpd" name="utmp" dev=dm-3 ino=655368
scontext=system_u:system_r:ftpd_t:s0
tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file

Does not appear to cause any problems though.

Version-Release number of selected component (if applicable):
selinux-policy-2.4.3-2.fc6
Comment 1 Daniel Walsh 2006-11-28 16:16:06 EST
Fixed in selinux-policy-2.4.5-3.fc6
Comment 2 Orion Poplawski 2006-11-30 15:29:14 EST
Still seeing with selinux-policy-2.4.5-3.fc6:

audit(1164918474.645:7): avc:  denied  { read write } for  pid=4125
comm="vsftpd" name="utmp" dev=dm-3 ino=655368
scontext=system_u:system_r:ftpd_t:s0
tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file
audit(1164918474.645:8): avc:  denied  { read } for  pid=4125 comm="vsftpd"
name="utmp" dev=dm-3 ino=655368 scontext=system_u:system_r:ftpd_t:s0
tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file
Comment 3 Daniel Walsh 2006-11-30 16:02:32 EST
That's strange,  Can you check out 	selinux-policy-2.4.6-1.fc6

Which is in the testing pool now.

Policy on my mchine has the fix.
Comment 4 Orion Poplawski 2006-11-30 16:08:18 EST
That did it.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.